<!DOCTYPE html>
<html lang="zh-CN" mcui="v1.0.1">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1,maximum-scale=1,user-scalable=no">
    <meta name="description" content="xinxindai">
    <meta name="author" content="UI Manxiaoman | Front-end Junbo">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="format-detection" content="telephone=no">
    <title>MC-TOAST</title>
    <link href="http://www.junbo.name/plugins/precode/css/mc-pre-code-default.min.css" rel="stylesheet">
    <script src="http://www.junbo.name/plugins/precode/js/mc-precode.min.js"></script>
    <script>
        new window.fekit.McPreCode({
            theme: 'default'      // 指定一个风格主题
        });
    </script>
</head>
<body>
<div id="header">
    <div id="home" class="box">
        <div id="header-logo"><a href="#route=header"><i class="co-main">MC</i><span>TOAST</span><span id="header-version" class="co-back">v2.0.2</span></a>
        </div>
        <div id="header-nav" class="mc-nav">
            <input class="mc-nav-switch" id="mc-nav-switch" type="checkbox">
            <label class="mc-nav-icon" for="mc-nav-switch"></label>
            <div id="head-nav-list" class="mc-nav-list">
                <a data-route="home" href="#route=home" data-active="true">首页</a>
                <a data-route="about" href="#route=about">介绍</a>
                <a data-route="start" href="#route=start">开始</a>
                <a data-route="demo" href="#route=demo">示例</a>
                <a data-route="document" href="#route=document">文档</a>
                <a data-route="theme" href="#route=theme">主题</a>
                <a data-route="sponsored" href="#route=sponsored">赞助</a>
                <a href="https://github.com/fekits/mc-toast" target="_blank">GitHub</a>
            </div>
        </div>
    </div>
</div>
<div id="banner" class="bg-banner" data-am="true">
    <div class="starry">
        <b class="r01"></b>
        <b class="r02"></b>
        <b class="r03"></b>
        <b class="r04"></b>
        <b class="r05"></b>
        <b class="r06"></b>
        <b class="r07"></b>
        <b class="r08"></b>
        <b class="r09"></b>
        <b class="r10"></b>
        <i class="r24"></i>
        <i class="r25"></i>
        <i class="r26"></i>
        <i class="r27"></i>
        <i class="r28"></i>
        <i class="r29"></i>
        <i class="r30"></i>
        <i class="r31"></i>
        <i class="r32"></i>
        <i class="r33"></i>
    </div>
    <div class="hvc">
        <div>
            <div class="box">
                <h1 class="banner-title"><i class="co-vice">MC</i>TOAST</h1>
                <p class="banner-info">一款超轻量的“TOAST”插件，打包后2K，可扩展各种主题样式，目前已有三款主题可用，欢迎使用!</p>
                <p>
                    <a class="banner-btn" href="https://codeload.github.com/fekits/mc-toast/zip/master">DOWNLOAD</a>
                </p>
            </div>
        </div>
    </div>
</div>
<div id="middle">
    <div id="about" class="floor">
        <div class="box">
            <h3 class="floor-title"><span>介绍</span></h3>
            <p class="floor-notes">MC-TOAST是什么?它可以做什么？哪些场景可以用到它？为什么选择MC-TOAS？</p>
            <ul id="about-items">
                <li>
                    <div>
                        <div class="about-item-design"></div>
                        <h4 class="about-item-title co-main">代码轻量</h4>
                        <div class="about-item-content">代码打包压缩后只有2K，采用原生JS开发不依赖任何其它代码。</div>
                    </div>
                </li>
                <li>
                    <div>
                        <div class="about-item-design"></div>
                        <h4 class="about-item-title co-main">主题丰富</h4>
                        <div class="about-item-content">可扩展丰富的主题资源，目前已有 <b>3</b> 款主题可供下载使用，相信总有一款适合您！</div>
                    </div>
                </li>
                <li>
                    <div>
                        <div class="about-item-design"></div>
                        <h4 class="about-item-title co-main">效果优雅</h4>
                        <div class="about-item-content">交互交果与动画过渡如丝绸般顺滑优雅，给您的产品带来更佳的用户体验。</div>
                    </div>
                </li>
            </ul>
        </div>
    </div>
    <div id="start" class="floor">
        <div class="box">
            <h3 class="floor-title"><span>开始</span></h3>
            <p class="floor-notes">您可以通过在线引用，在线下载，NPM、GIT等方式将插件安装到您的本地项目中</p>
            <div>
                <h4>在线引用</h4>
                <pre>
  // 直接引入插件使用
  <!--<script src="http://www.junbo.name/plugins/mc-toast/v2.0.1/js/mc-toast.min.js"></script>-->

  // 同时引用主题文件，目前在三款主题可用，可以同时引入也可以任选其一
  <!--<link href="http://www.junbo.name/plugins/mc-toast/v2.0.1/css/mc-toast-aa.min.css" rel="stylesheet">-->
  <!--<link href="http://www.junbo.name/plugins/mc-toast/v2.0.1/css/mc-toast-ab.min.css" rel="stylesheet">-->
  <!--<link href="http://www.junbo.name/plugins/mc-toast/v2.0.1/css/mc-toast-ac.min.css" rel="stylesheet">-->
                </pre>
            </div>
            <br>
            <div>
                <h4>NPM安装</h4>
                <pre>npm i mc-toast</pre>
            </div>
            <br>
            <div>
                <h4>GIT下载</h4>
                <pre>git clone https://github.com/fekits/mc-toast.git</pre>
            </div>
        </div>
    </div>
    <div id="demo" class="floor">
        <div class="box">
            <h4 class="floor-title"><span>示例</span></h4>
            <p class="floor-notes">下面我们来看几个相对不同场景下的使用示例！</p>
            先看一个示例：
            <pre>
// @代码高亮自豪地采用mc-precode(预发版)!


// 导入插件
import mcToast from './mc-toast';

// 新建一个实例
let toast = new McToast({
    time  : 3000,    // 3秒后自动隐藏
    theme : 'aa',    // 一般我们在new一个实例时就可以设置共公的属性，比如说主题
});

// 一条最简单的TOAST，因为toast在创建实例时有写两个公共属性，所以这条消息的主题是"aa",并且在3秒后自动隐藏，同时显示文字是"显示一条消息"
toast.show({
    text   : '显示一条消息'
});
</pre>
            <button class="btn btn-success" data-toast-type="" data-toast-theme="aa" data-toast-text="显示一条消息" data-toast-time="1000">查看示例
            </button>
        </div>
    </div>
    <div id="document" class="floor">
        <div class="box">
            <h3 class="floor-title"><span>文档</span></h3>
            <p class="floor-notes">插件使用中所有的参数与方法在下面的文档中都有详细的说明,如果您仍有疑问还可以加入QQ群[ 137972383 ]寻求帮助</p>
            <table class="mc-table">
                <tr>
                    <th>参数名</th>
                    <th>类型</th>
                    <th>示例</th>
                    <th>说明</th>
                </tr>
                <tr>
                    <td>id</td>
                    <td>String</td>
                    <td>'#aaa'</td>
                    <td>非必要不须填写，默认会自动分配一个ID</td>
                </tr>
                <tr>
                    <td>time</td>
                    <td>Number</td>
                    <td>3000</td>
                    <td>选填，显示几秒后自动隐藏，如不填写则永不隐藏，需要手动调用hide()方法隐藏它</td>
                </tr>
                <tr>
                    <td>icon</td>
                    <td>String</td>
                    <td>
                        'success'<br>
                        'warning'<br>
                        'error'<br>
                        'loading'<br>
                        'network'
                    </td>
                    <td>选填，如不填写则默认为无图标只显示文字。</td>
                </tr>
                <tr>
                    <td>text</td>
                    <td>String</td>
                    <td>'显示一条提示'</td>
                    <td>必填，为空的话不报错也不会显示空的提示框。</td>
                </tr>
                <tr>
                    <td>theme</td>
                    <td>String</td>
                    <td>'ab'</td>
                    <td>必填，目前有三款主题可供使用。详情请至 <a data-route="theme" href="#route=theme" class="co-link">[主题]</a> 查看与下载</td>
                </tr>
                <tr>
                    <td>on</td>
                    <td>Object</td>
                    <td>
                        show(o){console.log(o)}<br>
                        hide(){console.log('隐藏了~')}
                    </td>
                    <td>选填，提示显示或消失时的回调，您可以在显示后或隐藏后做一些操作</td>
                </tr>
            </table>
        </div>
    </div>
    <div id="theme" class="floor ac">
        <div class="box">
            <h3 class="floor-title"><span>主题</span></h3>
            <p class="floor-notes">点击按钮可以下载包含主题scss源文件和打包后的css文件，scss源文件未写兼容性前缀，请自行在打包时配置autoprefixer或直接使用css文件。</p>
            <div class="theme-item">
                <h4>主题一</h4>
                <p><span class="mc-file">mc-toast@theme=aa.scss</span></p>
                <button class="btn btn-success" data-toast-type="success" data-toast-theme="aa" data-toast-text="显示一条成功消息显示1秒"
                        data-toast-time="1000">
                    success
                </button>
                <button class="btn btn-warning" data-toast-type="warning" data-toast-theme="aa" data-toast-text="提示一条警告消息显示5秒"
                        data-toast-time="5000">
                    warning
                </button>
                <button class="btn btn-error" data-toast-type="error" data-toast-theme="aa" data-toast-text="提示一条错误消息显示2秒"
                        data-toast-time="2000">
                    error
                </button>
                <button class="btn btn-loading" data-toast-type="loading" data-toast-theme="aa" data-toast-text="正在加载中..."
                        data-toast-time="">
                    loading
                </button>
                <button class="btn btn-network" data-toast-type="network" data-toast-theme="aa" data-toast-text="无法链接网络!"
                        data-toast-time="3000">
                    network
                </button>
                <div>
                    <a href="http://www.junbo.name/plugins/mc-toast/v2.0.0/css/mc-toast-aa.min.css" target="_blank" class="mc-btn mc-s"
                       theme="001" co="success">下载主题</a>
                </div>
            </div>
            <div class="theme-item">
                <h4>主题二</h4>
                <p><span class="mc-file">mc-toast@theme=ab.scss</span></p>
                <button class="btn btn-success" data-toast-type="success" data-toast-theme="ab" data-toast-text="显示一条成功消息显示1秒"
                        data-toast-time="1000">
                    success
                </button>
                <button class="btn btn-warning" data-toast-type="warning" data-toast-theme="ab" data-toast-text="提示一条警告消息显示5秒"
                        data-toast-time="5000">
                    warning
                </button>
                <button class="btn btn-error" data-toast-type="error" data-toast-theme="ab" data-toast-text="提示一条错误消息显示2秒"
                        data-toast-time="2000">
                    error
                </button>
                <button class="btn btn-loading" data-toast-type="loading" data-toast-theme="ab" data-toast-text="正在加载中..."
                        data-toast-time="">
                    loading
                </button>
                <button class="btn btn-network" data-toast-type="network" data-toast-theme="ab" data-toast-text="无法链接网络!"
                        data-toast-time="3000">
                    network
                </button>
                <div>
                    <a href="http://www.junbo.name/plugins/mc-toast/v2.0.0/css/mc-toast-ab.min.css" target="_blank" class="mc-btn mc-s"
                       theme="001" co="success">下载主题</a>
                </div>
            </div>
            <div class="theme-item">
                <h4>主题三</h4>
                <p><span class="mc-file">mc-toast@theme=ac.scss</span></p>
                <button class="btn btn-success" data-toast-type="success" data-toast-theme="ac" data-toast-text="显示一条成功消息显示1秒"
                        data-toast-time="1000">
                    success
                </button>
                <button class="btn btn-warning" data-toast-type="warning" data-toast-theme="ac" data-toast-text="提示一条警告消息显示5秒"
                        data-toast-time="5000">
                    warning
                </button>
                <button class="btn btn-error" data-toast-type="error" data-toast-theme="ac" data-toast-text="提示一条错误消息显示2秒"
                        data-toast-time="2000">
                    error
                </button>
                <button class="btn btn-loading" data-toast-type="loading" data-toast-theme="ac" data-toast-text="正在加载中..."
                        data-toast-time="">
                    loading
                </button>
                <button class="btn btn-network" data-toast-type="network" data-toast-theme="ac" data-toast-text="无法链接网络!"
                        data-toast-time="3000">
                    network
                </button>
                <div>
                    <a href="http://www.junbo.name/plugins/mc-toast/v2.0.0/css/mc-toast-ac.min.css" target="_blank" class="mc-btn mc-s"
                       theme="001" co="success">下载主题</a>
                </div>
            </div>
            <br>
            <p class="ac">更多主题扩展中...</p>
        </div>
    </div>
    <div id="sponsored" class="floor">
        <div class="box">
            <h3 class="floor-title"><span>赞助</span></h3>
            <p class="floor-notes">没有什么感谢能比得上您到 <a href="https://github.com/fekits/mc-toast" class="co-main" target="_blank">GitHub</a>
                给我点一个Star，除了赞助!</p>
            <img id="alipay" src="img/alipay.png" alt="">
        </div>
    </div>
</div>
<div id="footer">
    <div class="box">
        <p class="footer-desc">注：本页面使用了 <a href="https://gitlab.com/fekits/mc-url" target="_blank" class="co-link">mc-url</a> 、<a
                class="co-link" href="https://gitlab.com/fekits/mc-scrollto"
                target="_blank">mc-scrollto</a> 、<a
                href="https://gitlab.com/fekits/mc-precode" target="_blank" class="co-link">mc-precode</a>
            及MCUI部份组件</p>
        <p>©AUTHOR JUNBO POWERED BY <a href="http://junbo.name" class="co-link">JUNBO.NAME</a></p>
    </div>
</div>
</body>
</html>
